# Package org.eclipse.net4j.util.factory

A framework for factory based instance creation.

- Interface Summary
  Interface | Description
  --- | ---
  IFactory | `Creates` objects from a string `description`.
  IFactoryKey | Identifies a `factory` by `product group` and `type`.

- Class Summary
  Class | Description
  --- | ---
  Factory | A default implementation of a `factory`.
  FactoryDescriptor | A `factory` that delegates to an `extension registry` contribution.
  FactoryKey | A default implementation of a `factory key`.
  PropertiesFactory |

- Exception Summary
  Exception | Description
  --- | ---
  FactoryCreationException | Thrown from `FactoryDescriptor.createFactory()` if a `factory` could not be created.
  ProductCreationException | An unchecked exception that may be thrown from `factories` to indicate the inability to create a product.